Last Comment Bug 1168569 - Incorrect color for the day-off part of the selected day in week view
: Incorrect color for the day-off part of the selected day in week view
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Lightning 4.0.0.1
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Decathlon
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-26 13:21 PDT by Decathlon
Modified: 2015-05-30 02:58 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - v1 (1.12 KB, patch)
2015-05-26 13:32 PDT, Decathlon
richard.marti: review+
Details | Diff | Splinter Review
patch - v2 (1.57 KB, patch)
2015-05-27 12:32 PDT, Decathlon
bv1578: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
philipp: approval‑calendar‑esr+
Details | Diff | Splinter Review

Description User image Decathlon 2015-05-26 13:21:11 PDT
The day-off part of the selected day, in week view, currently has the color of the "today" day instead of a specific color.
Comment 1 User image Decathlon 2015-05-26 13:32:46 PDT
Created attachment 8610802 [details] [diff] [review]
patch - v1

The patch should fix.
Comment 2 User image Richard Marti (:Paenglab) 2015-05-27 00:48:37 PDT
Comment on attachment 8610802 [details] [diff] [review]
patch - v1

r+ with changing the [systemcolors] variable --viewDayBoxOffSelectedBackground: rgba(0, 0, 0, .1); to rgba(0, 0, 0, .2). Without this the selected offtime isn't good visible without this change.
Comment 3 User image Decathlon 2015-05-27 12:32:07 PDT
Created attachment 8611387 [details] [diff] [review]
patch - v2

(In reply to Richard Marti (:Paenglab) from comment #2)

> r+ with changing the [systemcolors] variable
> --viewDayBoxOffSelectedBackground: rgba(0, 0, 0, .1); to rgba(0, 0, 0, .2).
> Without this the selected offtime isn't good visible without this change.

Thanks, I had forgotten the "systemcolors" part.
Comment 4 User image Decathlon 2015-05-27 12:37:12 PDT
Comment on attachment 8611387 [details] [diff] [review]
patch - v2

Review of attachment 8611387 [details] [diff] [review]:
-----------------------------------------------------------------

The bug is also in beta.
Comment 5 User image Philipp Kewisch [:Fallen] 2015-05-28 03:06:05 PDT
Comment on attachment 8611387 [details] [diff] [review]
patch - v2

Ok, please push soon, I'm not sure if there will be another beta build. When pushing to beta, please push to default and THUNDEBIRD_38_VEBRANCH.
Comment 7 User image Stefan Sitter 2015-05-29 11:55:30 PDT
Is fixed for 4.0 too (THUNDEBIRD_38_VEBRANCH).
Comment 8 User image Decathlon 2015-05-29 13:00:41 PDT
OK, thanks.
So, also the target milestone should be 4.0, is it right?

Note You need to log in before you can comment on or make changes to this bug.